Name:          libXdmcp
Version:       1.1.3
Release:       5
Summary:       X Display Manager Control Protocol library
License:       MIT
Url:           https://xorg.freedesktop.org/
Source0:       https://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

Patch0:        0003-Add-getentropy-emulation-through-syscall.patch

BuildRequires: xorg-x11-util-macros xmlto xorg-x11-proto-devel autoconf automake libtool 


%description
The X Display Manager Control Protocol (XDMCP) provides a uniform
mechanism for an autonomous display to request login service from a
remote host. 

%package       devel
Summary:       Development files and Header files for %{name}
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
autoreconf -ivf
%configure  
%make_build

%check
make check

%install
%make_install
%delete_la
rm -rf $RPM_BUILD_ROOT%{_docdir}
%ldconfig_scriptlets

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING Wraphelp.README.crypto
%{_libdir}/libXdmcp.so.*

%files  devel
%defattr(-,root,root)
%{_includedir}/X11/Xdmcp.h
%{_libdir}/libXdmcp.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a

%files  help
%defattr(-,root,root)
%doc README.md ChangeLog

%changelog
* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.1.3-5
- Rebuild for next release

* Wed Apr 6 2022 liuyumeng1 <liuyumeng5@h-partners.com> - 1.1.3-4
- enable tests

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.1.3-3
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Sat Dec 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.3-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:modify the spec

* Tue Sep 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.3-1
- Package init
